UWSC(1)

NAME
uwsc - Command-line websocket client

DESCRIPTION
uwsc - Ulfius Websocket Client

Version 0.11

COPYRIGHT
Copyright 2018-2020 Nicolas Mora <mail@babelouest.org>

This program is free software; you can redistribute it and/or modify it under the terms of the MIT LICENSE

Command-line options:

-o --output-log-file=PATH

    Print yder log messages in a file

-x --add-header=HEADER

    Add the specified header of the form 'key:value'

-b --send-binary-file=PATH

    Sends the content of a file at the beginning of the connection in a binary frame

-t --send-text-file=PATH

    Sends the content of a file at the beginning of the connection in a text frame

-i --non-interactive-send

    Do not prompt for message sending

-l --non-listening

    Do not listen for incoming messages

-f --fragmentation=

    Specify the max length of a frame and fragment the message to send if required, 0 means no fragmentation, default 0

-p --protocol=PROTOCOL

    Specify the Websocket Protocol values, default none

-e --extensions=EXTENSION

    Specify the Websocket extensions values, default none

-s --non-secure

    Do not check server certificate

-q --quiet

    Quiet mode, show only websocket messages

-v --version

    Print uwsc's current version

-h --help

    Print this message

SEE ALSO
The full documentation for uwsc is maintained as a Texinfo manual. If the info and uwsc programs are properly installed at your site, the command

    info uwsc

should give you access to the complete manual.